IntelliJ vs PHPStorm

I'm trying to wrap my head around the difference between IntelliJ and PHPStorm and keep coming up with conflicts.

I had assumed that PHPStorm was a PHP Specific IDE with the latest and greatest code tools, which then get ported to IntelliJ.  And mostly this seems to be the case, but sometimes IntelliJ has features for PHP that are lacking in PHPStorm.

As I'm doing some work in C and Java, I'm planning on getting IntelliJ for that, but I'm curious if I should upgrade my version 2 license to version 3 when PHPStorm 3 is released, or just do everything in IntelliJ.

5 comments
Comment actions Permalink

"sometimes IntelliJ has features for PHP that are lacking in PHPStorm."
That is definitely not for 3.0.

"As I'm doing some work in C and Java,.."
Then you may want to just get the upcoming IDEA 11 Ultimate.

0
Comment actions Permalink

neuro159 wrote:

"sometimes IntelliJ has features for PHP that are lacking in PHPStorm."
That is definitely not for 3.0.


I think my confusion may stem from tending to always use the latest EAP as the new features are extremely helpful.

So I guess my question would be:
When PHPStorm 3.0 is released, what version of IntelliJIDEA will correspond to it functionally[10.5 or 11.0?] and will it be simultaneous or will 3.0 be released and then ported to IntelliJIDEA

And

Is there currently a version of IntelliJIDEA which includes the same functionality as the EAP for PHPStorm?

0
Comment actions Permalink

You can easily compare them by build numbers. i.e. 110.293
PS & WS 3.0 is branch 110 that correspond to IDEA 11
We'll release plugin for IDEA 11 later, now you can extract one from PS EAP .zip distribution

0
Comment actions Permalink

neuro159 wrote:

You can easily compare them by build numbers. i.e. 110.293
PS & WS 3.0 is branch 110 that correspond to IDEA 11
We'll release plugin for IDEA 11 later, now you can extract one from PS EAP .zip distribution


Thanks, that helps me understand things a lot better!

I am more than happy to extract the plugins manually.  I really want to work on getting used a single interface rather then swapping back and forth, so I can go ahead and purchase a 10.5 license this week[since it comes with an upgrade to 11] and start getting settled into using it.

0
Comment actions Permalink

Sure.
Note that IDEA 10.5 comes with own php plugin (equal to PS 2.1.x) and won't work properly with PS 3.0 EAP php plugin.
You need to use IDEA 11 EAP with it.
Basically you should always refer to build number before combining - they should be same for branch (i.e 110.) and better close for build (.293).

0

Please sign in to leave a comment.